## python-model-mommy 1.6.0

=== requirements.txt ===
django>=1.8.0
six

## python-model-mommy 1.2

=== debian/changelog ===
python-model-mommy (1.2-1) unstable; urgency=low

  * Initial release

 -- Michael Hall <mhall119@ubuntu.com>  Tue, 18 Feb 2014 21:18:06 -0500

=== debian/control ===
Source: python-model-mommy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hall <mhall119@ubuntu.com>
Build-Depends: debhelper (>= 8),
 python-all (>= 2.6),
 python-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/vandersonmota/model_mommy
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-model-mommy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-model-mommy/trunk/
X-Python-Version: >= 2.6

Package: python-model-mommy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: smart object creation facility for Django
 Model-mommy offers you a smart way to create fixtures for testing in Django.
 With a simple and powerful API you can create many objects with a single
 line of code.
 .
 This package provides Python 2 module bindings only.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./*.egg-info ./build

override_dh_auto_install:
	dh_auto_install
	# Remove me when dh_python2 can handle this file
	rm -vf debian/*/usr/lib/python*/*-packages/*.egg-info/SOURCES.txt

## python-model-mommy 1.2.6

=== debian/changelog ===
python-model-mommy (1.2.6-1) unstable; urgency=medium

  * Team upload

  [ Edward Betts ]
  * New upstream release (Closes: #745093, #755657, #814781)
  * Build Python 3 package
  * Fix lintian warning: dep5-copyright-license-name-not-unique
  * Update Standards-Version to 3.9.8 (no changes)
  * Update to debhelper 9

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Edward Betts <edward@4angle.com>  Tue, 31 May 2016 07:32:57 +0100

## python-model-mommy 1.3.1

=== debian/changelog ===
python-model-mommy (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Jan 2017 19:29:17 +0000

python-model-mommy (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Nov 2016 11:38:36 +0000

=== debian/control ===
Source: python-model-mommy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hall <mhall119@ubuntu.com>, Edward Betts <edward@4angle.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/vandersonmota/model_mommy
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-model-mommy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-model-mommy.git

Package: python-model-mommy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: smart object creation facility for Django
 Model-mommy offers you a smart way to create fixtures for testing in Django.
 With a simple and powerful API you can create many objects with a single
 line of code.
 .
 This package provides Python 2 module bindings only.

Package: python3-model-mommy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: smart object creation facility for Django (Python 3 version)
 Model-mommy offers you a smart way to create fixtures for testing in Django.
 With a simple and powerful API you can create many objects with a single
 line of code.
 .
 This package provides Python 3 module bindings only.

## python-model-mommy 1.3.2

=== debian/changelog ===
python-model-mommy (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 21 Apr 2017 14:22:49 +0100

## python-model-mommy 1.5.1

=== debian/changelog ===
python-model-mommy (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Use secure copyright format URI in debian/copyright.
  * Update Standards-Version (no changes).

 -- Edward Betts <edward@4angle.com>  Mon, 12 Feb 2018 06:33:41 +0000

python-model-mommy (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version (no changes).
  * Update debian/compat to 11.
  * Update year in debian/copyright.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Jan 2018 06:55:14 +0000

python-model-mommy (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version (no changes).

 -- Edward Betts <edward@4angle.com>  Thu, 05 Oct 2017 09:58:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Hall <mhall119@ubuntu.com>, Edward Betts <edward@4angle.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/vandersonmota/model_mommy
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-model-mommy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-model-mommy.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=model-mommy
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

## python-model-mommy 1.6.0

=== debian/changelog ===
python-model-mommy (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 01:03:17 +0200

python-model-mommy (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Edward Betts ]
  * New upstream release.
  * Update Standards-Version (no changes).

 -- Edward Betts <edward@4angle.com>  Thu, 08 Nov 2018 21:18:36 +0000

=== debian/control ===
Source: python-model-mommy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hall <mhall119@ubuntu.com>, Edward Betts <edward@4angle.com>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.1
Homepage: https://github.com/vandersonmota/model_mommy
Vcs-Git: https://salsa.debian.org/python-team/modules/python-model-mommy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-model-mommy

Package: python3-model-mommy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: smart object creation facility for Django (Python 3 version)
 Model-mommy offers you a smart way to create fixtures for testing in Django.
 With a simple and powerful API you can create many objects with a single
 line of code.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=model-mommy
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/m/model_mommy/ \
    model_mommy-(\d.*).tar.gz
